using System;

internal sealed class Delegate795 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate795 delegate795_1)
	{
		return delegate795_1(object_0);
	}

	public extern Delegate795(object object_0, IntPtr intptr_0);

	static Delegate795()
	{
		Class10.smethod_13(typeof(Delegate795).TypeHandle);
	}

	internal static Delegate795 delegate795_0;
}
